Domen adları
GET https://uptimeset.com/api/domain-names/
curl --request GET \
--url 'https://uptimeset.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/domain-names/' \
--header 'Authorization: Bearer {api_key}' \
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| search | İstəyə bağlı Sətir | Axtarış stringi. |
| search_by | İstəyə bağlı Sətir | Hansı sahə üzrə axtarış edirsiniz. İcazə verilən dəyərlər: name, target. |
| is_enabled | İstəyə bağlı Boolean | |
| datetime_field | İstəyə bağlı Sətir | İcazə verilən dəyərlər: datetime, last_datetime, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime |
| datetime_start | İstəyə bağlı Sətir | Nəticələri bu tarix və saatdan başlayaraq süzün. Y-m-d H:i:s formatında. |
| datetime_end | İstəyə bağlı Sətir | Nəticələri bu tarix-vaxtadək süzün. Y-m-d H:i:s formatı. |
| order_by | İstəyə bağlı Sətir | What field to order the results by. Allowed values are: domain_name_id, datetime, last_datetime, name, target, whois_start_datetime, whois_updated_datetime, whois_end_datetime, ssl_start_datetime, ssl_end_datetime. |
| order_type | İstəyə bağlı Sətir | N |
| page | İstəyə bağlı Tam | Nəticələri istədiyiniz səhifə nömrəsi. Varsayılan 1 olaraq təyin edilir. |
| results_per_page | İstəyə bağlı Tam | Səhifə başına neçə nəticə istəyirsiniz. İcazə verilən dəyərlər: 10, 25, 50, 100, 250, 500, 1000. Varsayılan 25 olaraq təyin edilir. |
{
"data": [
{
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 11:41:00"
}
],
"meta": {
"page": 1,
"total_pages": 1,
"results_per_page": 25,
"total_results": 1
},
"links": {
"first": "https://uptimeset.com/api/domain-names?page=1",
"last": "https://uptimeset.com/api/domain-names?page=1",
"next": null,
"prev": null,
"self": "https://uptimeset.com/api/domain-names?page=1"
}
}
GET https://uptimeset.com/api/domain-names/{domain_name_id}
curl --request GET \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 11:41:00"
}
}
POST https://uptimeset.com/api/domain-names
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | Tələb olunur Sətir | - |
| target | Tələb olunur Sətir | - |
| project_id | İstəyə bağlı Tam | - |
| whois_notifications | İstəyə bağlı Array | Bildiriş idarəedicisi id-ləri |
| whois_notifications_timing | İstəyə bağlı Tam | İcazə verilən dəyərlər: 1, 2, 3, 7, 14, 30, 60 (günlər) |
| ssl_notifications | İstəyə bağlı Array | Bildiriş idarəedicisi id-ləri |
| ssl_notifications_timing | İstəyə bağlı Tam | İcazə verilən dəyərlər: 1, 2, 3, 7, 14, 30, 60 (günlər) |
| is_enabled | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://uptimeset.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
--url 'https://uptimeset.com/api/domain-names' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'target=example.com' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": null,
"whois_notifications": [],
"ssl": null,
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 11:41:00"
}
}
POST https://uptimeset.com/api/domain-names/{domain_name_id}
| Parametrlər | Təfərrüatlar | Təsvir |
|---|---|---|
| name | İstəyə bağlı Sətir | - |
| target | İstəyə bağlı Sətir | - |
| project_id | İstəyə bağlı Tam | - |
| whois_notifications | İstəyə bağlı Array | Bildiriş idarəedicisi id-ləri |
| whois_notifications_timing | İstəyə bağlı Tam | İcazə verilən dəyərlər: 1, 2, 3, 7, 14, 30, 60 (günlər) |
| ssl_notifications | İstəyə bağlı Array | Bildiriş idarəedicisi id-ləri |
| ssl_notifications_timing | İstəyə bağlı Tam | İcazə verilən dəyərlər: 1, 2, 3, 7, 14, 30, 60 (günlər) |
| is_enabled | İstəyə bağlı Boolean | - |
curl --request POST \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
{
"data": {
"id": 1,
"user_id": 1,
"project_id": 1,
"name": "Example",
"target": "Example",
"whois": [],
"whois_notifications": [],
"ssl": {},
"ssl_notifications": [],
"total_checks": 1,
"last_check_datetime": null,
"next_check_datetime": null,
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-10-16 11:41:00"
}
}
DELETE https://uptimeset.com/api/domain-names/{domain_name_id}
curl --request DELETE \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptimeset.com/api/domain-names/{domain_name_id}' \
--header 'Authorization: Bearer {api_key}' \